% ZEPHYR_PREPROCESSING_DEFAULTS
%
% Version .3 - Beta Software
% Copyright 2004, Craig M. Bennett
%
% --------------------------------------------------------------
%
% Some code snippets from SPM2 used under the GNU GPL
% Copyright 2004 Functional Imaging Laboratory (FIL) 
% The Wellcome Department of Imaging Neuroscience
% Institute of Neurology at University College London
%
% --------------------------------------------------------------
%
% This file is part of Zephyr.
%
% Zephyr is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation; either version 2 of the License, or
% (at your option) any later version.
%
% Zephyr is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with Zephyr (zephyr_license.txt); if not, write to the Free Software
% Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
%
% --------------------------------------------------------------
%
% zephyr_preprocessing_defaults.m


% HELP NOTE
% Modify the below values as you see fit for preprocessing...

slice_timing_flags = struct(...
		'ref_slice',		1,...
		'slice_order',		4);


realign_flags = struct(...
		'quality',			1,...
		'fwhm',				5,...
		'sep',				4,...
		'interp',			7,...
		'wrap',				[0 1 0],...
		'rtm',				0,...
		'PW',				'',...
		'graphics',			1);
			
						
unwarp_estimate_flags = struct(...
		'order',           	[10 10],...
		'sfield',          	[],...
		'M',               	'',...
		'sf_acq',          	'First',...
		'regorder',        	1,...
		'lambda',          	1e5,...
		'jm',              	0,...
		'fot',             	[4 5],...
		'sot',             	[],...
		'fwhm',            	4,...
		'rem',             	1,...
		'exp_round',       	'Average',...
		'noi',             	5,...
		'hold',            	[1 1 1 0 1 0]);
             
                		
unwarp_write_flags = struct(...
		'mask',       		1,...
		'mean',       		1,...
		'interp',     		7,...
		'wrap',       		[0 1 0],...
		'which',      		1,...
		'udc',        		1);
               
                   		
first_coregister_flags = struct(...
		'sep',          	[4 2],...
		'params',       	[0 0 0  0 0 0],...
		'cost_fun',     	'nmi',...
 		'fwhm',         	[7 7],...
		'tol',          	[0.02 0.02 0.02 0.001 0.001 0.001 0.01 0.01 0.01 0.001 0.001 0.001],...
		'graphics',     	1);
                   		
                   		
second_coregister_flags = struct(...
		'sep',          	[4 2],...
		'params',       	[0 0 0  0 0 0],...
		'cost_fun',     	'nmi',...
		'fwhm',         	[7 7],...
		'tol',          	[0.02 0.02 0.02 0.001 0.001 0.001 0.01 0.01 0.01 0.001 0.001 0.001],...
		'graphics',     	1);
                   		
                   		
normalise_estimate_flags = struct(...
		'smosrc',       	8,...
		'smoref',       	0,...
		'regtype',      	'mni',...
		'cutoff',       	30,...
		'nits',         	16,...
		'reg',          	10,...
		'graphics',     	1);
                   		
                   		
normalise_hires_flags = struct(...
		'interp',       	7,...
		'vox',          	[1 1 1],...
		'bb',           	[[-78 -112 -50];[78 76 85]],...
		'wrap',         	[0 0 0],...
		'preserve',     	0);              		
                   		
                   		
normalise_functional_flags = struct(...
		'interp',       	7,...
		'vox',          	[3 3 3],...
		'bb',           	[[-78 -112 -50];[78 76 85]],...
		'wrap',         	[0 0 0],...
		'preserve',     	0);
                   		
                   		
smoothing_flags = struct(...
		'mm',			6);	
                   		

% DTI structures (I know it is inconsistent, I was lazy)
	segment_flags.estimate.priors = str2mat(fullfile(spm('Dir'),'apriori','gray.mnc'),fullfile(spm('Dir'),'apriori','white.mnc'),fullfile(spm('Dir'),'apriori','csf.mnc'));
	segment_flags.estimate.reg    = 0.01;
	segment_flags.estimate.cutoff = 30;
	segment_flags.estimate.samp   = 3;
	segment_flags.estimate.bb     =  [[-88 88]' [-122 86]' [-60 95]'];
	segment_flags.estimate.affreg.smosrc = 8;
	segment_flags.estimate.affreg.regtype = 'mni';
	segment_flags.estimate.affreg.weight = '';
	segment_flags.write.cleanup   	= 1;
	segment_flags.write.wrt_cor   	= 1;
	segment_flags.graphics        	= 1;        		
                   		