% ZEPHYR_SLICE_TIMING
%
% Version .3 - Beta Software
% Copyright 2004, Craig M. Bennett
%
% --------------------------------------------------------------
%
% Some code snippets from SPM2 used under the GNU GPL
% Copyright 2004 Functional Imaging Laboratory (FIL) 
% The Wellcome Department of Imaging Neuroscience
% Institute of Neurology at University College London
%
% --------------------------------------------------------------
%
% This file is part of Zephyr.
%
% Zephyr is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation; either version 2 of the License, or
% (at your option) any later version.
%
% Zephyr is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with Zephyr (zephyr_license.txt); if not, write to the Free Software
% Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
%
% --------------------------------------------------------------
%
% zephyr_slice_timing.m

function zephyr_slice_timing()

	global zephyr_struct;
	global defaults;
	
	defaults.cmdline = 0;
    defaults.analyze.flip = 1;
    defaults.printstr =  [spm_figure('DefPrintCmd'),'spm2.ps'];

    % Get processing parameters from the user's defaults file
    run ../zephyr/zephyr_preprocessing_defaults.m
    
	disp(' '); disp('Correcting Slice Timing...');

    for j=1:zephyr_struct.num_scans
        if (strcmp(char(zephyr_struct.study_metadata(j,1)),'Functional') == 1)    
            if (strcmp(char(zephyr_struct.study_metadata(j,6)),'Event') == 1)
                
                scan_dir = ['./' num2str(j) '-' char(zephyr_struct.study_metadata(j,3))];
                
                TR = str2num(char(zephyr_struct.study_metadata(j,5)));
                num_slices = str2num(char(zephyr_struct.study_metadata(j,2)));
                
                slice_time = TR / num_slices;
                slice_gap = slice_time;
                
                images_matrix = spm_get('files',scan_dir,[char(zephyr_struct.study_metadata(j,3)) '*.img']);
                spm_slice_timing(images_matrix,slice_timing_flags.slice_order,slice_timing_flags.ref_slice,[slice_time slice_gap]);
                
            end
        end
    end
    
    disp(' '); disp('Slice Timing Complete'); disp(' ');