% ZEPHYR_SMOOTH
%
% Version .3 - Beta Software
% Copyright 2004, Craig M. Bennett
%
% --------------------------------------------------------------
%
% Some code snippets from SPM2 used under the GNU GPL
% Copyright 2004 Functional Imaging Laboratory (FIL) 
% The Wellcome Department of Imaging Neuroscience
% Institute of Neurology at University College London
%
% --------------------------------------------------------------
%
% This file is part of Zephyr.
%
% Zephyr is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation; either version 2 of the License, or
% (at your option) any later version.
%
% Zephyr is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with Zephyr (zephyr_license.txt); if not, write to the Free Software
% Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
%
% --------------------------------------------------------------
%
% zephyr_smooth.m

function zephyr_smooth()

	global zephyr_struct;
	global defaults;
	
	defaults.cmdline = 0;
    defaults.analyze.flip = 1;
    defaults.printstr =  [spm_figure('DefPrintCmd'),'spm2.ps'];

    % Get processing parameters from the user's defaults file
    run ../zephyr/zephyr_preprocessing_defaults.m
    
%%% Smooth all EPI images %%%%%%%%%%%%%%%

    disp(' '); disp('Smoothing functional images...'); disp(' ');
    
    
    for j=1:zephyr_struct.num_scans
        if (strcmp(char(zephyr_struct.study_metadata(j,1)),'Functional') == 1) 
        
            if (strcmp(char(zephyr_struct.study_metadata(j,6)),'Event') == 1)
                prefix = 'wua';
            elseif (strcmp(char(zephyr_struct.study_metadata(j,6)),'Block') == 1)
                prefix = 'wu';
            end
        
            scan_dir = ['./' num2str(j) '-' char(zephyr_struct.study_metadata(j,3))];
            disp(['Smoothing: ' num2str(j) '-' char(zephyr_struct.study_metadata(j,3))]);
                    
            % get the mean image and the rest of the EPI images
            image_matrix = spm_get('files',scan_dir,[prefix char(zephyr_struct.study_metadata(j,3)) '*.img']);
            image_volume = spm_vol(image_matrix);
            
            for i=1:length(image_volume)

	            [pth,name,ext] = fileparts(image_volume(i).fname);
	            filename = fullfile(pth,['s' name ext]);
	            
	            spm_smooth(image_volume(i),filename,smoothing_flags.mm)
	
            end
 
        end
    end


disp('Smoothing done'); disp(' ');