function varargout = zephyr_study_parameters(varargin)

% ZEPHYR_STUDY_PARAMETERS
%
% Version .3 - Beta Software
% Copyright 2004, Craig M. Bennett
%
% --------------------------------------------------------------
%
% Some code snippets from SPM2 used under the GNU GPL
% Copyright 2004 Functional Imaging Laboratory (FIL) 
% The Wellcome Department of Imaging Neuroscience
% Institute of Neurology at University College London
%
% --------------------------------------------------------------
%
% This file is part of Zephyr.
%
% Zephyr is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation; either version 2 of the License, or
% (at your option) any later version.
%
% Zephyr is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with Zephyr (zephyr_license.txt); if not, write to the Free Software
% Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
%
% --------------------------------------------------------------
%
% zephyr_study_parameters.m

% Begin initialization code - DO NOT EDIT
gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
                   'gui_Singleton',  gui_Singleton, ...
                   'gui_OpeningFcn', @zephyr_study_parameters_OpeningFcn, ...
                   'gui_OutputFcn',  @zephyr_study_parameters_OutputFcn, ...
                   'gui_LayoutFcn',  [] , ...
                   'gui_Callback',   []);
if nargin & isstr(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end
% End initialization code - DO NOT EDIT


% --- Executes just before zephyr_study_parameters is made visible.
function zephyr_study_parameters_OpeningFcn(hObject, eventdata, handles, varargin)


% Choose default command line output for zephyr_study_parameters
handles.output = hObject;

% Update handles structure
guidata(hObject, handles);


% --- Outputs from this function are returned to the command line.
function varargout = zephyr_study_parameters_OutputFcn(hObject, eventdata, handles)

% Get default command line output from handles structure
varargout{1} = handles.output;


% --- Executes on button press in enter.
function enter_Callback(hObject, eventdata, handles)
    
    global zephyr_struct;
    
    cd(zephyr_struct.data_directory);

    save('./zephyr/zephyr_data.mat','zephyr_struct')
    
    disp(' '); disp('Study data written to file...'); disp(' ');

    close;


% --- Executes during object creation, after setting all properties.
function num_scans_entry_CreateFcn(hObject, eventdata, handles)

    set(hObject,'BackgroundColor','white');

% --- Executes upon text entry in num_scans_entry
function num_scans_entry_Callback(hObject, eventdata, handles)

    global zephyr_struct;

    zephyr_struct.num_scans = str2double(get(hObject,'String'));

    
% --- Executes during object creation, after setting all properties.
function study_name_entry_CreateFcn(hObject, eventdata, handles)

    set(hObject,'BackgroundColor','white');

% --- Executes upon text entry in study_name_entry
function study_name_entry_Callback(hObject, eventdata, handles)

    global zephyr_struct;

    zephyr_struct.study_name = get(hObject,'String');
    